#### MODULE SOURCES ####

%define module_name etercifs
%define kernel 2.6.27

Name: kernel-source-%module_name-%kernel
Version: 4.3.6
Release: alt1
Summary: Advanced Common Internet File System for Linux with Etersoft extension - module sources
License: GPLv2
Group: Development/Kernel
Url: ftp://updates.etersoft.ru/pub/Etersoft/CIFS@Etersoft/

BuildArch: noarch

Source: %name-%version.tar.bz2

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
The CIFS VFS is a virtual file system for Linux to allow access to
servers and storage appliances compliant with the SNIA CIFS Specification
version 1.0 or later.
Popular servers such as Samba, Windows 2000, Windows XP and many others
support CIFS by default.
The CIFS VFS provides some support for older servers based on the more
primitive SMB (Server Message Block) protocol (you also can use the Linux
file system smbfs as an alternative for accessing these).
CIFS VFS is designed to take advantage of advanced network file system
features such as locking, Unicode (advanced internationalization),
hardlinks, dfs (hierarchical, replicated name space), distributed caching
and uses native TCP names (rather than RFC1001, Netbios names).

Unlike some other network file systems all key network function including
authentication is provided in kernel (and changes to mount and/or a mount
helper file are not required in order to enable the CIFS VFS). With the
addition of upcoming improvements to the mount helper (mount.cifs) the
CIFS VFS will be able to take advantage of the new CIFS URL specification
though.

This package has Etersoft's patches for WINE@Etersoft sharing access support.

%prep
%setup -c

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
BUILDDIR=%name-%version
MODULEVERSION=%version
if [ -f $BUILDDIR/cifsfs.h ] ; then
    CIFSVERSION=`cat $BUILDDIR/cifsfs.h | grep CIFS_VERSION`
    CIFSVERSION=`echo $CIFSVERSION | sed 's|#define CIFS_VERSION||g'`
    CIFSVERSION=`echo $CIFSVERSION | sed 's|"||g'`
    CIFSVERSION=`echo $CIFSVERSION | sed 's| ||g'`
    cp $BUILDDIR/cifsfs.h $BUILDDIR/cifsfs.h.orig
    sed -e "s/$CIFSVERSION/$MODULEVERSION/g" $BUILDDIR/cifsfs.h.orig > $BUILDDIR/cifsfs.h
    rm -f $BUILDDIR/cifsfs.h.orig
fi
%__tar -c %name-%version | bzip2 -c > %buildroot%_usrsrc/kernel/sources/%name-%version.tar.bz2

%files
%attr(0644,root,root) %_usrsrc/kernel/sources/%name-%version.tar.bz2

%changelog
* Wed Apr 15 2009 Konstantin Baev <kipruss@altlinux.org> 4.3.6-alt1
- new version 4.3.6

* Thu Mar 19 2009 Konstantin Baev <kipruss@altlinux.org> 4.2.1-alt1
- new version 4.2.1

* Tue Mar 10 2009 Konstantin Baev <kipruss@altlinux.org> 4.2.0-alt1
- new version 4.2.0

* Mon Feb 16 2009 Konstantin Baev <kipruss@altlinux.org> 4.1.2-alt1
- initial build for 2.6.27 kernels
